Bug 504906 - iw_cxgb3 OFED driver update
iw_cxgb3 OFED driver update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Doug Ledford
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 22:02 EDT by Divy Le Ray
Modified: 2009-09-02 04:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:56:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch series based against Doug's 2.6.18-138 tree. (5.42 KB, application/octet-stream)
2009-06-09 22:03 EDT, Divy Le Ray
no flags Details

  None (edit)
Description Divy Le Ray 2009-06-09 22:02:27 EDT
The patch series in attachment updates the iw_cxgb3 driver with patches committed in kernel.org.

It contains the following patches:

commit a73efd0a8552927ebe5dff84936f7fdac4f7e314
Author: Divy Le Ray <divy@chelsio.com>
Date:   Mon Jan 26 22:22:19 2009 -0800

    iw_cxgb3: handle chip reset notifications

    Freeze activity when notified that the underlying chip
    is getting reset on a EEH event or fatal error.

    Signed-off-by: Divy Le Ray <divy@chelsio.com>
    Signed-off-by: David S. Miller <davem@davemloft.net>

commit 04b5d028f50ff05a8f9ae049ee71f8fdfcf1f5de
Author: Steve Wise <swise@opengridcomputing.com>
Date:   Mon Mar 30 08:37:56 2009 -0700

    RDMA/cxgb3: Handle EEH events

    - wrap calls into cxgb3 and fail them if we're in the middle
      of a PCI EEH event.

    - correctly unwind and release endpoint and other resources when
      we are in an EEH event.

    - dispatch IB_EVENT_DEVICE_FATAL event when cxgb3 notifies iw_cxgb3 of
      a fatal error.

    Signed-off-by: Steve Wise <swise@opengridcomputing.com>
    Signed-off-by: Roland Dreier <rolandd@cisco.com>

commit 96ac7e88922da6ab33efea87c6b560ba5ab11e75
Author: Steve Wise <swise@opengridcomputing.com>
Date:   Mon Apr 20 13:53:15 2009 -0700

    RDMA/cxgb3: Adjust ORD/IRD (if needed) for peer2peer connections

    NFS/RDMA currently fails to set up connections if peer2peer is on.
    This is due to the fact that the NFS/RDMA client sets its ORD to 0.

    If peer2peer is set, make sure the active side ORD is >= 1 and the
    passive side IRD is >=1.

    Signed-off-by: Steve Wise <swise@opengridcomputing.com>
    Signed-off-by: Roland Dreier <rolandd@cisco.com>

commit cde9e2f9307dd6af6bf8c5f02e41a6e27da9682a
Author: Steve Wise <swise@opengridcomputing.com>
Date:   Mon Apr 20 17:00:53 2009 -0700

    RDMA/cxgb3: Don't zero QP attrs when moving to IDLE

    QP attributes must stay initialized when moving back to IDLE.  Zeroing
    them will crash the system in _flush_qp() if the QP is subsequently
    moved to ERROR and back to IDLE.

    Signed-off-by: Steve Wise <swise@opengridcomputing.com>
    Signed-off-by: Roland Dreier <rolandd@cisco.com>

commit ec6995ddaa3db2c5f028184ed9b74c0c448c4947
Author: Steve Wise <swise@opengridcomputing.com>
Date:   Wed Apr 29 15:15:59 2009 -0700

    RDMA/cxgb3: Don't complete flushed send work requests twice

    When the SQ is flushed, mark the flushed entries as not signaled so
    the poll logic doesn't re-insert the CQ entry thinking its an out of
    order completion.

    The bug can cause the NFS/RDMA server to crash due to processing the
    same completed work request twice.

    Signed-off-by: Steve Wise <swise@opengridcomputing.com>
    Signed-off-by: Roland Dreier <rolandd@cisco.com>


Cheers,
Divy
Comment 1 Divy Le Ray 2009-06-09 22:03:43 EDT
Created attachment 347127 [details]
Patch series based against Doug's 2.6.18-138 tree.

Patch series based against Doug's 2.6.18-138 tree.
Comment 2 RHEL Product and Program Management 2009-06-15 11:11:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Don Zickus 2009-06-18 10:52:09 EDT
in kernel-2.6.18-154.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 6 errata-xmlrpc 2009-09-02 04:56:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.